libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [libcloud] yukw777 opened a new issue #1381: GCENodeDriver`'s `deploy_node()` should accept `Deployment`s.
Date Fri, 13 Dec 2019 01:12:49 GMT
yukw777 opened a new issue #1381: GCENodeDriver`'s `deploy_node()` should accept `Deployment`s.
URL: https://github.com/apache/libcloud/issues/1381
 
 
   ## Feature Request
   
   I was trying to use `Deployment` when launching nodes using GCE, but I noticed that the
`deploy_node()` of `GCENodeDriver` has a different function signature from other drivers and
does not accept `Deployment`. Is there a reason why this is so? I fail to see why `GCENodeDriver`
has overridden `NodeDriver`'s default `deploy_node()` when there is even this comment: https://github.com/apache/libcloud/blob/d23eeb2862d761cc88973c2e73175b6fed87af66/libcloud/compute/base.py#L968
   
   I think `GCENodeDriver` should accept `Deployment` for its `deploy_node()` method like
other drivers. Would this be as simple as removing the overriding method? Thank you for your
help in advance!

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message